Description

Hello,

Some time ago | asked you about weights: https://www.understandingsociety.ac.uk/support/issues/106

Using the "subpop" with the variables' filters solved the issue of getting the standard errors for Wale 1; however, | cannot make it
work in Wave 3.

| am running a cross-sectional analysis using this syntax:

svyset ¢_psu [pweight = c_indinub_xw], strata(c_strata)
svy, subpop(if male<2 & c_emp<2): logit c_emp male

where male and emp are 0-1 variables
Even if - as you can see - | restrict the variables to have valid values in all cases, | still don't get standard errors of this regression...
Any clues why subpop does not seem to work in Wave 37

Am | doing something wrong?

Thanks!!
Carolina

History

#1 - 10/30/2014 01:04 PM - Alita Nandi
One of the reasons Stata does not produce standard errors when using svyset is that there are strata with only one PSU. | am not sure if this is the
case, but if it is here are a couple of solutions.

One solution suggested by Stata is to use the option singleunit(). What this does is implement different methods of estimating standard error when
this happens - you will need to decide which of these methods to use - certainty, scaled or centered. See Stata Help.

Another solution is to merge adjacent strata and continuing doing so until there are no single PSU strata.

#2 - 10/30/2014 01:05 PM - Alita Nandi
- Status changed from New to In Progress

- % Done changed from 0 to 90

#3 - 10/31/2014 01:46 PM - Carolina Zuccotti

Dear Alita,

Thank you for your response!

Indeed, that is the problem: strata with single PSU.

Before (i.e. in wave 1) | used to solve it with the subpop specification only (added before the regression), so not sure why that does not work now.
In any case, the singleunit specification solves it.

Do you have any suggestions on which one to use? (or which one has been commonly used by researchers using UKHLS?).

Or any documentation that | could look at for this matter?

Many thanks in advance,

Carolina

#4 - 11/28/2014 12:34 PM - Alita Nandi

At this point there is no guidance available as to which of the three options (certainty, scaled, centered) produce better estimates of the standard
errors.
Alita

#5 - 12/12/2014 12:19 PM - Redmine Admin

- Status changed from In Progress to Closed
- % Done changed from 90 to 100
